<?php

namespace Drupal\contextual_reports_example\Plugin\ContextualReport;

use Drupal\contextual_reports\Plugin\ContextualReportBase;

/**
 * @ContextualReport (
 *   id = "contextual_reports_example",
 *   label = "User Names",
 *   description = "Simple table of user names",
 *   category = "contextual_reports_example"
 * )
 */
class UserDisplayNames extends ContextualReportBase  {

  /**
   * @param mixed $data
   * @param array $params
   * @return array
   */
  public static function generateReport($data, array $params = []) {
    $page = [];
    $page['header'] = [
      '#type' => 'html_tag',
      '#tag' => 'h2',
      '#value' => isset($params['title']) ? $params['title'] : t('List of Users'),
    ];
    $page['table'] = [
      '#type' => 'table',
      '#theme' => 'table',
      '#header' => [
        t('User'),
      ],
    ];
    $page['table']['#rows'] = [];

    foreach ($data as $d) {
      $page['table']['#rows'][] = [
        'user' => $d,
      ];
    }
    $page['table'];

    return $page;
  }

}
