<?php

namespace Drupal\contextual_reports_example\Plugin\ContextualReportContext;

use Drupal\contextual_reports\Plugin\ContextualReportContextBase;
use Drupal\user\Entity\User;
use Drupal\webform\Entity\WebformSubmission;

/**
 * @ContextualReportContext (
 *   id = "contextual_reports_example",
 *   label = "Ten Newest Users",
 *   description = "Simple table of user names",
 *   category = "contextual_reports_example"
 * )
 */
class TenNewestUsers extends ContextualReportContextBase {

  /**
   * @param array $params
   * @return array
   */
  public static function getEntities(array $params = []) {
    $query = \Drupal::entityQuery('user');
    $query->sort('created', 'DESC');
    $query->range(0,10);
    $result = $query->execute();
    return ['user' => $result];
  }

}