<?php

namespace Drupal\contextual_reports_example\Plugin\ContextualReportData;

use Drupal\contextual_reports\Plugin\ContextualReportDataBase;
use Drupal\user\Entity\User;

/**
 * @ContextualReportData (
 *   id = "contextual_reports_example",
 *   label = "Ten Newest Users",
 *   description = "Simple array of user names",
 *   category = "contextual_reports_example"
 * )
 */
class UserNames extends ContextualReportDataBase {

  /**
   * @param array $entity_ids
   * @param array $params
   * @return array
   */
  public static function generateReportData(array $entity_ids, array $params = []) {
    $data = [];
    $entities = User::loadMultiple($entity_ids['user']);
    foreach ($entities as $uid => $user) {
      /* @var $user \Drupal\user\Entity\User */
      $data[$uid] = $user->getDisplayName();
    }
    return $data;
  }

}